Description

Installing: - 1. Install Diablo 2 LoD ENGLISH version 1.10-1.13c not higher - 2. Install D2SE modmanager (current version 2.2). Set up Glide Wrapper that comes with d2se (not required, but recommended) - 3. Download mod. Unpack it. Put mod folder in MODS folder in your Diablo 2. - 4. Run d2se in compatibility mode (windows xp service pack 2)

Preview
Duel Mod by Danjb
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.